Update a client
curl --request PATCH \
--url https://api.gospott.com/clients/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"stageId": "<string>",
"company": {
"name": "<string>",
"domain": "<string>",
"linkedinId": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://api.gospott.com/clients/{id}"
payload = {
"stageId": "<string>",
"company": {
"name": "<string>",
"domain": "<string>",
"linkedinId": "<string>",
"description": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stageId: '<string>',
company: {
name: '<string>',
domain: '<string>',
linkedinId: '<string>',
description: '<string>'
}
})
};
fetch('https://api.gospott.com/clients/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Clients
Update a client
Updates the client with the specified ID. Client-level fields update the client record. Company-level fields nested under company update the underlying company and are rejected with 403 when the client is linked to a global company.
PATCH
/
clients
/
{id}
Update a client
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Body
application/json
Response
Client updated successfully
⌘I

